// RegUtil.h: interface for the CRegUtil class.
//

#pragma once

class CRegUtil  
{
public:
	CRegUtil();
	virtual ~CRegUtil();

public:
	BOOL OpenKey(HKEY, CString);
	void CloseKey();

	BOOL SetStrValue(CString, CString);
	CString GetStrValue(CString);
	BOOL SetNumValue(CString, UINT);
	UINT GetNumValue(CString);

private:
	HKEY m_hKey;
};
